#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
/* 1. Personen
Deklarieren Sie eine Klasse 'person' mit den Daten Name, Alter, Gewicht und Einkommen.
Versehen Sie die Klasse mit Methoden zum
* Einlesen des Namens,
* Einlesen aller Daten und zum
* Anzeigen ihrer Daten!
* Testen Sie das Einlesen und Anzeigen der Daten für einen Einzelnen und für eine Gruppe, wenn
a) zunächst nur der Name 'private' ist und
b) dann alle Daten 'private' sind!
c) Kontrollieren Sie die Daten beim Einlesen, soweit möglich!
------------------------------------------------------------------------------*/
class person                          // Deklaration der Klasse
{ private: char name[15];                     // private Daten
           int alter; float gewicht, einkommen;
   public: void einlesen();                      // Daten von der Tastatur
          void liesname();                      // öffentliche Elementfunktionen
          void anzeigen();                      // öffentliche Methoden
}; //--------------------------------------------------------------------------
int main()                                     // Main
{  person otto, gruppe[20];   
 //  otto.einlesen();  otto.anzeigen();
   for( int i=0; i<3; i++){  gruppe[i].einlesen();
                              // gruppe[i].liesname();
                           //  gruppe[i].alter= rand()%70+10;  // nur wenn Daten public!
                          //   gruppe[i].gewicht=rand()%100+40;
                          //   gruppe[i].einkommen=rand()%500000/100.0+10;
                          }
   for( int i=0; i<3; i++) gruppe[i].anzeigen();

   printf("\n\n"); system("PAUSE");  return 0;
}//----------------------------------------------------------------------------
void person::liesname()           // Definition der Elementfunktionen (Methoden)
{ printf(" Name: ");  scanf("%s", name);
}
void person::einlesen()
{     printf(" Name: ");     scanf("%s", name);
  do{ printf(" Alter: ");    scanf("%i", &alter);  }while(alter<1 || alter>115);
  gewicht=rand()%100+40;
  einkommen=rand()%500000/100.0+10;
}
void person::anzeigen()
{  printf("Mein Name ist %s. Ich bin %i ", name, alter);
  printf("Jahre alt, wiege %.1f kg und bekomme %.2f EUR.\n", gewicht,einkommen);
}

